<div class="d-flex flex-column justify-content-between p-3 gap-4 container-xxl">
  <a pButton
     routerLink="/products/products-list"
     type="button"
     icon="pi pi-arrow-left"
     class="p-button-outlined p-button-rounded"
     style="color: #495057; text-decoration: none">
  </a>

  <div class="d-flex mb-4 flex-column flex-md-row gap-4">
    <div *ngIf="product.img"
         style="background-image: url('http://localhost:3000/public/{{product.img}}')"
         class="main-product-image">
    </div>
    <div class="d-flex flex-column ps-4 flex-grow-1">
      <h4 style="color: #495057">{{product.name}}</h4>
      <div class="product-company">{{product.company}}</div>
      <p class="flex-grow-1">{{product.description}}</p>
      <div class="d-flex justify-content-between gap-4">
        <div class="product-price">{{product.price}}</div>
        <button type="button"
                (click)="addToCart()"
                class="btn btn-primary flex-grow-1">
          Добавить в корзину
        </button>
      </div>
    </div>
  </div>

  <div *ngIf="sameCompanyProducts[0]">
    <p-carousel [value]="sameCompanyProducts" [numVisible]="count" [numScroll]="1">
      <ng-template pTemplate="header">
        <h4 style="color: #495057; text-align: center">Другие товары производителя</h4>
      </ng-template>
      <ng-template let-product pTemplate="item">
        <div class="d-flex flex-column align-items-center gap-2 mt-4">
          <div *ngIf="product.img; else noProductImg"
               style="background-image: url('http://localhost:3000/public/{{product.img}}')"
               class="product-image"
               (click)="goToProduct(product)">
          </div>

          <ng-template #noProductImg>
            <div style="background-image: url('./assets/no-img.png')"
                 class="product-image"
                 (click)="goToProduct(product)">
            </div>
          </ng-template>

          <h6>{{product.name}}</h6>
        </div>
      </ng-template>
    </p-carousel>
  </div>
</div>

<p-toast position="top-left"></p-toast>
